Up to top level
AO15   AO16   AO17   AO18   AO19   Backgrounds   Calibration   Conference   Data   Docs   EPICMOS   EPICpn   Feedback   Gallery   Misc   OM   Pending   PhD_Theses   Publications   RGS   RadMonitor   SAS_Hardware   SAS_WS   SASv16.0   SASv16.0_Installation   SASv16.1   SASv16.1_Installation   SASv17.0   SASv17.0_Installation   SASv18.0   SASv18.0_Installation   SciSim   Simulators_other   Suggestions   Trash   Visibility   XMM-bouncing   XMM-news   XRPS   XSA   esas   incoming  

Logged in as guest

Viewing SASv16.0_Installation/82007
Full headers

From: sib.laha@gmail.com
Subject: SAS16 in MAC Sierra
Compose reply
Download message
Move To:
2 replies: 1 2
1 followups: 1

Private message: yes  no

Notes:

Notification:


Date: Wed, 19 Jul 2017 00:51:38 GMT
From: sib.laha@gmail.com
To: xmmhelp@sciops.esa.int
CC: sib.laha@gmail.com
Subject: SAS16 in MAC Sierra
Full_Name: Sibasish Laha
Submission from: (NULL) (128.54.22.160)


Hi there,  I am trying to reprocess XMM data using SAS16 on my Mac book (macOS
Sierra: 10.12.5). However I am getting a few problems.
1. While cifbuild and odfingest runs fine with some warnings, the epchain gives
the following error and does not do anything.

dyld: Library not loaded:
/Volumes/SAS/sasbuild/build/sierra/GNU_CC_CXX_6.2/reltrack_relgfortran6.2_6.2_build/lib/liberror.1.46.dylib
  Referenced from: /Users/slaha/Desktop/Software/SAS16/Darwin-16.3.0/xmmsas_20170112_1337/bin/saserrstr
  Reason: image not found

2. For sources which have already been analyzed using SAS15, when I open
xmmselect, and create image, it takes a long time to open ds9, and the system
seems to be overloaded. The GUI does not close even when I cross the cross sign
on the GUI. I have to press Ctrl+C.

3. I have installed recent Heasoft properly as well as SAS16, but still I needed
to install ds9 separately!! Do you know why that's the case? Also when ds9 opens
I see a white space only with NO region to select. I consulted the ds9 webpage
and it says to switch off DATASEC support, via the Scale menu. Still it does not
work. Do you know why?

4. Does SAS16 tar download contain the sas.pm perl module?

5.  I am using Perl 5 version 26. Is this OK?

Thanks,
Sibasish


Reply 1

Resend
From: Lucia Ballo <xmmhelp@sciops.esa.int>
To: sib.laha@gmail.com
Subject: Re: SAS16 in MAC Sierra (PR#82007)
Date: Wed Jul 19 13:29:32 2017
Dear Sibasish,

> 1. While cifbuild and odfingest runs fine with some warnings, the epchain
gives
> the following error and does not do anything.
> 
> dyld: Library not loaded:
> /Volumes/SAS/sasbuild/build/sierra/GNU_CC_CXX_6.2/reltrack_relgfortran6.2_6.2_build
> /lib/liberror.1.46.dylib
>   Referenced from: /Users/slaha/Desktop/Software/SAS16/Darwin-16.3.0
> /xmmsas_20170112_1337/bin/saserrstr
>   Reason: image not found

It seems that your problems are most likely related to the System Integrity 
Protection (SIP) included in your operating system. It is addressed in the
following 
SAS watchout:

https://www.cosmos.esa.int/web/xmm-newton/sas-watchout-1600-sip

Could you please try this solution and let us know if it does not work?



> 2. For sources which have already been analyzed using SAS15, when I open
> xmmselect, and create image, it takes a long time to open ds9, and the
system
> seems to be overloaded. The GUI does not close even when I cross the cross
sign
> on the GUI. I have to press Ctrl+C.

If I understand correctly, you are using xmmselect from SAS16 applied to event
files 
previously obtained with SAS15. In this case, it is possible that also this
problem 
is related with the first point.

Could you please check if the problem persists even when the SAS16 is working 
properly (SIP disabled)?



> 3. I have installed recent Heasoft properly as well as SAS16, but still I
needed
> to install ds9 separately!! Do you know why that's the case?

Regardind ds9, the application is provided by the Smithsonian Astrophysical 
Observatory. It is not included neither with the Heasoft distribution nor with
the 
SAS, and should be downloaded from the SAO website and installed separately.


> Also when ds9 opens I see a white space only with NO region to select. I
consulted 
> the ds9 webpage and it says to switch off DATASEC support, via the Scale
menu.

> Still it does not work. Do you know why?

Before replying about this problem, please let us wait until the first problem
is 
fixed.



> 4. Does SAS16 tar download contain the sas.pm perl module?

When you unpack the SAS tar for MAC, you can find the SAS.pm perl module in the

directory /xmmsas_XXXXXXXX_XXXX/lib/perl5/

Why are you interested in sas.pm or SAS.pm? Could you please clarify?



> 5.  I am using Perl 5 version 26. Is this OK?

No, in order to work, the SAS Perl scripts require that you install on your
system 
Perl 5.22.X, the same that was used to build the SAS 16.0.0.


Please do not hesitate to contact us if you encounter any further problem.

    Kind regards,
        Lucia

--
   Dr Lucia Ballo 
   XMM-Newton Science Operations Centre
   Community Support and Scientific Planning Team


Followup 1

Compose reply
Download message
From: Sibasish  Laha <sib.laha@gmail.com>
Date: Wed, 19 Jul 2017 18:08:24 -0700
Subject: Re: SAS16 in MAC Sierra (PR#82007)
To: Lucia Ballo <xmmhelp@sciops.esa.int>
Cc: Alex Markowitz <almarkowitz@ucsd.edu>
--001a11490a6cae726e0554b56260
Content-Type: text/plain; charset="UTF-8"

Dear Dr. Ballo,

   I am very thankful to you for your prompt reply and indeed that solution
worked. I am unable to reply you via the XMM page (as a guest user), but I
hope you will be able to read my mail.


 So epchain, emchain and rgsproc all are running fine with SAS16 and giving
the desired results. Even "Ciao" command  chandra_repro which was not
working previously is now working perfectly fine.

  However, I am still not able to open the ds9 window properly with
xmmselect table=P0206080101PNS003PIEVLI0000.FIT command, and then trying to
open the IMAGE! The error displayed on the ds9 window is :  " XPA unable to
verify hostname, setting XPA methods to LOCAL". When I cancel the complain,
the ds9 window is just "white".

I have installed ds9 in my home directory and it's accessible from
anywhere. For example, in the Chandra repro directory, I could open the
event list file and see the image without ANY COMPLAIN, using the command:
 "ds9 acisf12712_repro_evt2.fits". So this has something to do with SAS16.

As for the perl version, I have :

"This is perl 5, version 26, subversion 0 (v5.26.0) built for
darwin-thread-multi-2level"

 I am a bit worried to uninstall this perl and use version 22. Is this the
cause for SAS16 malfunction with ds9 images? Is there any other way out
please?



Thanks for your help.


Reg,


Sibasish


*Dr. Sibasish Laha*
*Post doctoral research fellow*
*University of California, San Diego*
*SERF building, Room 435,*
*9500 Gilman drive, MC 0424*
*La jolla, CA 92093-0424*
*USA*
*Phone:+1-858-999-4720 <+1%20858-999-4720>*



On Wed, Jul 19, 2017 at 6:29 AM, Lucia Ballo <xmmhelp@sciops.esa.int>
wrote:

> Dear Sibasish,
>
> > 1. While cifbuild and odfingest runs fine with some warnings, the
epchain
> gives
> > the following error and does not do anything.
> >
> > dyld: Library not loaded:
> > /Volumes/SAS/sasbuild/build/sierra/GNU_CC_CXX_6.2/
> reltrack_relgfortran6.2_6.2_build
> > /lib/liberror.1.46.dylib
> >   Referenced from: /Users/slaha/Desktop/Software/SAS16/Darwin-16.3.0
> > /xmmsas_20170112_1337/bin/saserrstr
> >   Reason: image not found
>
> It seems that your problems are most likely related to the System Integrity
> Protection (SIP) included in your operating system. It is addressed in the
> following
> SAS watchout:
>
> https://www.cosmos.esa.int/web/xmm-newton/sas-watchout-1600-sip
>
> Could you please try this solution and let us know if it does not work?
>
>
>
> > 2. For sources which have already been analyzed using SAS15, when I
open
> > xmmselect, and create image, it takes a long time to open ds9, and the
> system
> > seems to be overloaded. The GUI does not close even when I cross the
> cross
> sign
> > on the GUI. I have to press Ctrl+C.
>
> If I understand correctly, you are using xmmselect from SAS16 applied to
> event
> files
> previously obtained with SAS15. In this case, it is possible that also this
> problem
> is related with the first point.
>
> Could you please check if the problem persists even when the SAS16 is
> working
> properly (SIP disabled)?
>
>
>
> > 3. I have installed recent Heasoft properly as well as SAS16, but
still I
> needed
> > to install ds9 separately!! Do you know why that's the case?
>
> Regardind ds9, the application is provided by the Smithsonian Astrophysical
> Observatory. It is not included neither with the Heasoft distribution nor
> with
> the
> SAS, and should be downloaded from the SAO website and installed
> separately.
>
>
> > Also when ds9 opens I see a white space only with NO region to select.
I
> consulted
> > the ds9 webpage and it says to switch off DATASEC support, via the
Scale
> menu.
>
> > Still it does not work. Do you know why?
>
> Before replying about this problem, please let us wait until the first
> problem
> is
> fixed.
>
>
>
> > 4. Does SAS16 tar download contain the sas.pm perl module?
>
> When you unpack the SAS tar for MAC, you can find the SAS.pm perl module
> in the
>
> directory /xmmsas_XXXXXXXX_XXXX/lib/perl5/
>
> Why are you interested in sas.pm or SAS.pm? Could you please clarify?
>
>
>
> > 5.  I am using Perl 5 version 26. Is this OK?
>
> No, in order to work, the SAS Perl scripts require that you install on your
> system
> Perl 5.22.X, the same that was used to build the SAS 16.0.0.
>
>
> Please do not hesitate to contact us if you encounter any further problem.
>
>     Kind regards,
>         Lucia
>
> --
>    Dr Lucia Ballo
>    XMM-Newton Science Operations Centre
>    Community Support and Scientific Planning Team
>
> This message and any attachments a

Message of length 16618 truncated


Reply 2

Resend
From: Lucia Ballo <xmmhelp@sciops.esa.int>
To: sib.laha@gmail.com
Subject: Re: SAS16 in MAC Sierra (PR#82007)
Date: Thu Jul 20 14:36:52 2017
Dear Sibasish,


I am glad that the first issue was fixed.

>   However, I am still not able to open the ds9 window properly with
> xmmselect table=P0206080101PNS003PIEVLI0000.FIT command, and then trying
to
> open the IMAGE! The error displayed on the ds9 window is :  " XPA unable
to
> verify hostname, setting XPA methods to LOCAL". When I cancel the
complain,
> the ds9 window is just "white".
> 

It seems to be a problem of communication between SAS and ds9.
First, can you please check the version of ds9 and XPA that you have installed?
As detailed in the external tools requirements webpage,
https://www.cosmos.esa.int/web/xmm-newton/sas-requirements ,

to work properly SASv16.0 needs ds9 v7.5 and XPA v2.1.17; please note that the 
latter is not included in ds9 and should be downloaded and installed
separately.
Please ensure, for sake of simplicity, that both ds9 and XPA binaries are 
installed within the same directory.
Also, please note that you should use the MacOSX X11 version of ds9
(e.g., ds9.darwinsierra.7.5.tar.gz), rather than the MacOSX Aqua version
(e.g., SAOImage DS 7.5.dmg).


If the problem persists even with the required version installed, a possible 
solution is to open ds9 from the command line before executing any SAS tasks,
with the following command:

ds9 -title Ds9-<username>



> I have installed ds9 in my home directory and it's accessible from
> anywhere. For example, in the Chandra repro directory, I could open the
> event list file and see the image without ANY COMPLAIN, using the command:
>  "ds9 acisf12712_repro_evt2.fits". So this has something to do with SAS16.
> 

Indeed, this simply means that ds9 itself works properly. 
You are running ds9 directly from the command line, rather than calling the 
tool through a CIAO task. Therefore, no communication between ds9 and other
softwares is involved.



> As for the perl version, I have :
> 
> "This is perl 5, version 26, subversion 0 (v5.26.0) built for
> darwin-thread-multi-2level"
> 
>  I am a bit worried to uninstall this perl and use version 22. Is this the
> cause for SAS16 malfunction with ds9 images? Is there any other way out
> please?

You don't need to unistall anything. You can have more than one version of perl

installed on your machine at the same time.
This can be done easily through the perl installation management tool perlbrew,

please follow the instructions at the following link:
https://perlbrew.pl/

Once you have installed perl v5.22 (no matter with the sub-versions), you have
to
re-install SASv16. Please note that before proceeding with the re-installation
you have to define the SAS_PERL environment variable in such a way that it
points 
to the right executable perl in the bin directory:

# C-shell (csh/tcsh):
setenv SAS_PERL [....]/perl_5.22/bin/perl

# Bourne shell:
execute SAS_PERL=[....]/perl_5.22/bin/perl


I hope that this can help you.
Kind regards,
    Lucia

Up to top level
AO15   AO16   AO17   AO18   AO19   Backgrounds   Calibration   Conference   Data   Docs   EPICMOS   EPICpn   Feedback   Gallery   Misc   OM   Pending   PhD_Theses   Publications   RGS   RadMonitor   SAS_Hardware   SAS_WS   SASv16.0   SASv16.0_Installation   SASv16.1   SASv16.1_Installation   SASv17.0   SASv17.0_Installation   SASv18.0   SASv18.0_Installation   SciSim   Simulators_other   Suggestions   Trash   Visibility   XMM-bouncing   XMM-news   XRPS   XSA   esas   incoming  

Logged in as guest


Please make your (short) question the subject of your request!


Web interface using JitterBug ... back to the XMM home page